SDL_PIXELORDER(3)

NAME
SDL_PIXELORDER - A macro to retrieve the order of an SDL_PixelFormat .

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_PIXELORDER(format)   (((format) >> 20) & 0x0F)

DESCRIPTION
This is usually a value from the SDL_BitmapOrder ,

SDL_PackedOrder , or SDL_ArrayOrder

enumerations, depending on the format type.

RETURN VALUE
Returns the order of format .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.